# Generated by Django 3.2.19 on 2023-06-06 11:48

from django.db import migrations, models


def remove_all_metric_aggregations(apps, schema_editor):
    MetricAggregation = apps.get_model("django_cloudwatch_metrics", "MetricAggregation")
    MetricAggregation.objects.all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ('django_cloudwatch_metrics', '0002_alter_metricaggregation_id'),
    ]

    operations = [
        migrations.RunPython(
            remove_all_metric_aggregations
        ),
        migrations.AddField(
            model_name='metricaggregation',
            name='aggregation_key',
            field=models.CharField(default='', max_length=255, unique=True),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='metricaggregation',
            name='dimension_data',
            field=models.JSONField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='metricaggregation',
            name='datetime_period',
            field=models.DateTimeField(db_index=True),
        ),
        migrations.AlterField(
            model_name='metricaggregation',
            name='value',
            field=models.BigIntegerField(),
        ),
        migrations.AlterUniqueTogether(
            name='metricaggregation',
            unique_together=set(),
        ),
        migrations.RemoveField(
            model_name='metricaggregation',
            name='dimension_name',
        ),
        migrations.RemoveField(
            model_name='metricaggregation',
            name='dimension_value',
        ),
    ]
